This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 204968 - wnck-applet gets woken up for every keypress when workspace-switcher is running
wnck-applet gets woken up for every keypress when workspace-switcher is running
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
:
Depends On:
Blocks: FC7Target wakeup
  Show dependency treegraph
 
Reported: 2006-09-01 15:27 EDT by Peter Jones
Modified: 2014-06-18 05:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-02 02:03:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Jones 2006-09-01 15:27:00 EDT
Currently wnck-applet gets woken up for every keypress when workspace-switcher
is running.  This means we're taking 6 context switches per keypress, and (at
least) 3 tasks are being woken up.  That's bad.
Comment 1 Matthias Clasen 2006-09-02 21:49:42 EDT
The problem here is that 

a) libwnck listens for property changes on all toplevel windows, to catch
   icon changes, name changes, etc

b) GTK+ updates _NET_WM_USER_TIME property for every user interaction for
   focus stealing stuff
Comment 2 Matthias Clasen 2006-09-02 22:02:43 EDT
about the only fix I can see would be to add an indirection to the user time
property, by not storing it on the toplevel, but on a separate, dedicated window,
and only put the id of that window in a property on the toplevel. 
Comment 3 Matthias Clasen 2006-09-02 22:03:37 EDT
This also affects metacity, btw
Comment 4 Matthias Clasen 2006-09-02 23:33:04 EDT
...and Owen pointed this problem out back in May 2003:

http://mail.gnome.org/archives/wm-spec-list/2003-May/msg00047.html
Comment 5 Matthias Clasen 2006-09-03 23:19:30 EDT
I proposed an EWMH change to fix this issue:

http://mail.gnome.org/archives/wm-spec-list/2006-September/msg00000.html
Comment 6 Søren Sandmann Pedersen 2007-03-23 13:03:21 EDT
To fix this we need to add a patch to metacity to support the new spec. This
will cause gtk+ to put the updates on a separate window, which libwnck then
won't listen to.

Moving to metacity and putting on f7 target.
Comment 7 Matthias Clasen 2007-03-27 12:54:44 EDT
The EWMH addition is in the spec now, the metacity/gtk+ patches are being
developed here: http://bugzilla.gnome.org/show_bug.cgi?id=354213
Comment 8 Matthias Clasen 2007-04-02 02:03:47 EDT
No need to keep this bug open; the gtk and metacity changes have been committed
upstream and will find its way into F8 with gnome 2.20

Note You need to log in before you can comment on or make changes to this bug.